Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Interface ByteChunk.ByteOutputChannel

All Known Implementing Classes:
  InternalOutputBuffer, OutputBuffer

Enclosing class:
  ByteChunk

    public static interface ByteChunk.ByteOutputChannel

Same as java.nio.channel.WrittableByteChannel.

Method Summary
`void` | `realWriteBytes(byte[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteBytes

    void realWriteBytes(byte[] cbuf,
                        int off,
                        int len)
                        throws java.io.IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.